Description

At the moment making a project "Public" while having Redmine manage the repository permission (svn in my case) gives anonymous

read-only access to the repository. (I mean access from an svn client, not the "Repository" tab in the project's page)

It would be good to have an option to enable/diasble this permission with an "Open source" or "Anonymous access" checkbox in

project options.

On my server I need 3 kinds of projects:

1. Private projects

2. Public open source projects

3. Public projects where I want every user to be able to create issues, post in forums, downloads files, etc... but can't access the

source code.

At the moment only the firsts two scenarios are possible, the "Open source" option would enable the 3rd.

Related issues:

Related to Redmine - Feature #19592: Public/Private or Anonymous/Authenticate... New

Related to Redmine - Feature #17976: Custom permissions per project for non m... Closed

History

#1 - 2011-09-01 15:08 - Arnaud Martel

I wrote a plugin (https://github.com/amartel/redmine_bioproj) which allows project manager to assign a role to "anonymous" and "not member" special

accounts. This way, you can define permissions for anonymous access on a per project basis.

I don't know if you can use it "as is" but it may be a start for a more generic plugin (mine is very focused on my own needs...)

#2 - 2017-04-04 12:21 - Go MAEDA

- Related to Feature #19592: Public/Private or Anonymous/Authenticated/Team access attribute for each project  module added

#3 - 2024-09-23 18:11 - Holger Just

- Related to Feature #17976: Custom permissions per project for non member and anonymous users added

#4 - 2024-09-23 18:19 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

Since #17976 (released in 2.6.0), you can define custom roles for the implicit anonymous or non-member access. This, for your third option, you can

set the project as public and set for the Anonymous "group" a custom role which does not grant the "browse repository" permission. This will deny

these anonymous users access to the repository tab in webinterface as well as deny SVN access when using the normal Redmine.pm Apache

module for subversion.

As such, i"m closing this issue as a duplicate of #17976.
